KRecentDirs Class Reference

`#include <krecentdirs.h>`

## Static Public Member Functions

static QStringList | list (const QString &fileClass)
static QString | dir (const QString &fileClass)
static void | add (const QString &fileClass, const QString &directory)

## Detailed Description

The goal of this class is to make sure that, when the user needs to specify a file via the file selection dialog, this dialog will start in the directory most likely to contain the desired files.

This works as follows: Each time the file selection dialog is shown, the programmer can specify a "file-class". The file-dialog will then start with the directory associated with this file-class. When the dialog closes, the directory currently shown in the file-dialog will be associated with the file-class.

A file-class can either start with ':' or with '::'. If it starts with a single ':' the file-class is specific to the current application. If the file-class starts with '::' it is global to all applications.

Definition at line 50 of file krecentdirs.h.

## Member Function Documentation

void KRecentDirs::add | ( | const QString & | fileClass,
|  | const QString & | directory
| ) |  |

static

Associates `directory` with `fileClass`.

Definition at line 86 of file krecentdirs.cpp.

QString KRecentDirs::dir | ( | const QString & | fileClass | ) |

static

Returns the most recently used directory accociated with this file-class.

Definition at line 80 of file krecentdirs.cpp.

QStringList KRecentDirs::list | ( | const QString & | fileClass | ) |

static

Returns a list of directories associated with this file-class.

The most recently used directory is at the front of the list.

Definition at line 72 of file krecentdirs.cpp.

The documentation for this class was generated from the following files:

- krecentdirs.h
- krecentdirs.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys